|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator
Public Member Functions | Protected Member Functions | Protected Attributes
gameplay::VerticalLayout Class Reference

`#include <VerticalLayout.h>`

Inheritance diagram for gameplay::VerticalLayout:

List of all members.

## Public Member Functions

void | setBottomToTop (bool bottomToTop)
bool | getBottomToTop ()
Layout::Type | getType ()
int | getSpacing () const
void | setSpacing (int spacing)

## Protected Member Functions

| VerticalLayout ()
virtual | ~VerticalLayout ()
void | update (const Container *container)

## Protected Attributes

bool | _bottomToTop
int | _spacing

## Detailed Description

Defines a vertical layout.

Controls are placed next to one another vertically until the bottom-most edge of the container is reached.

## Constructor & Destructor Documentation

gameplay::VerticalLayout::VerticalLayout | ( |  | ) | `[protected]`

Constructor.

virtual gameplay::VerticalLayout::~VerticalLayout | ( |  | ) | `[protected, virtual]`

Destructor.

## Member Function Documentation

bool gameplay::VerticalLayout::getBottomToTop | ( |  | ) |

Get whether this layout will start laying out controls from the bottom of the container.

Returns:
  Whether to start laying out controls from the bottom of the container.

int gameplay::VerticalLayout::getSpacing | ( |  | ) | const

Returns the vertical spacing between controls in the layout.

Returns:
  The vertical spacing between controls.

Layout::Type gameplay::VerticalLayout::getType | ( |  | ) | `[virtual]`

Get the type of this Layout.

Returns:
  Layout::LAYOUT_VERTICAL

Implements gameplay::Layout.

void gameplay::VerticalLayout::setBottomToTop | ( | bool | bottomToTop | ) |

Set whether this layout will start laying out controls from the bottom of the container. This setting defaults to 'false', meaning controls will start at the top.

Parameters:

  bottomToTop | Whether to start laying out controls from the bottom of the container.

void gameplay::VerticalLayout::setSpacing | ( | int | spacing | ) |

Sets the vertical spacing to add between controls in the layout.

Parameters:

  spacing | The vertical spacing between controls.

void gameplay::VerticalLayout::update | ( | const Container * | container | ) | `[protected, virtual]`

Update the controls contained by the specified container.

Controls are placed next to one another vertically until the bottom-most edge of the container is reached.

Parameters:

  container | The container to update.

Implements gameplay::Layout.

## Member Data Documentation

bool gameplay::VerticalLayout::_bottomToTop `[protected]`

Flag determining whether this layout will start laying out controls from the bottom of the container. The default is 'false' meaning controls will start at the top.

int gameplay::VerticalLayout::_spacing `[protected]`

Spacing between controls in the layout.

All Classes Functions Variables Typedefs Enumerations Enumerator